Chrome Download/Aktualisierung nicht möglich / com.google.android.trichromelibrary

  • 32 Antworten
  • Neuester Beitrag
Diskutiere Chrome Download/Aktualisierung nicht möglich / com.google.android.trichromelibrary im Google Play Store (Android Market) im Bereich Android Apps und Spiele.
bl3d2death

bl3d2death

Experte
Ich habe eigentlich folgendes Problem:
https://www.reddit.com/r/AndroidQuestions/comments/i4l9mr Seit etwa einer Woche lässt sich Chrome nicht mehr updaten. Habe daher mal Chrome deinstalliert, Und im Play Store Cache und Daten gelöscht um es nochmal zu versuchen. Jedoch kommt bei jedem Download die Meldung im Threadtitel. Wenn ich manuell per APK flashe, klappt es problemlos, jedoch wird die App dann wieder nicht aktualisiert.
Laut dem verlinkten Beitrag soll man die Library bei APKMirror laden, jedoch suche ich nach einer Lösung mit der der Play Store das selbstständig wieder lädt.

Hat jemand eine Idee? Laut Root Explorer existiert die App auch in keiner älteren Version auf dem Gerät.
Ich nutze Android 10 (CrDroid) auf einem Poco F1.

Edit: hab noch folgendes gefunden: https://www.reddit.com/r/androiddev/comments/d7290t https://www.reddit.com/r/Galaxy_S20/comments/ij1hzq
Nur wundert es mich dann, dass man das Tool nicht über den Play Store laden kann.

Aso... das WebView Tool kann man über den Play Store auch nicht aktualisieren. Hängt auch wegen com.google.android.trichromelibrary fest.
 
Zuletzt bearbeitet:
BOotnoOB

BOotnoOB

Lexikon
Bis einschließlich Android 9 läuft WebView nur über Chrome. Dazu sind in der .apk die libmonochrome.so Libraries enthalten. Ab Android 10 ist WebView (wieder) ausgegliedert und läuft über Android WebView und nicht mehr über Chrome. Damit das aber möglich ist, braucht WebView zwingend die Trichrome Libraries.

Das bedeutet natürlich, dass die Libraries libmonochrome.so nicht mehr in der .apk von Chrome enthalten sind und auch nicht enthalten sein dürfen. Dazu gibt es aktuell zwei verschiedene Versionen, für Android 7+ und Android 10+
Google Chrome: Fast & Secure 87.0.4280.101 APK Download by Google LLC - APKMirror
Dasselbe gilt auch für Android WebView, das extra in einer Android 10+ Version erschienen ist.

Ich gehe stark davon aus, dass du Chrome (Android 10+) und Android WebView (Android 10+) + Trichrome Libraries installiert haben musst, damit alles korrekt über den Play Store läuft. Bei Android WebView und Trichrome würde ich sogar eine Installation als Systemapp empfehlen. In den aktuellen GApps für Android 10 sind auch beide enthalten.
 
bl3d2death

bl3d2death

Experte
Habe mir extra vor 3 Wochen beim neuaufsetzen die aktuellen gapps geladen (Micro). Komisch, dass es damit dann nicht rund läuft.
Aber wie werden denn dann die trichrome librarys aktualisiert, wenn's die nicht über den Play Store gibt? Das verwundert mich.
 
BOotnoOB

BOotnoOB

Lexikon
bl3d2death schrieb:
Aber wie werden denn dann die trichrome librarys aktualisiert, wenn's die nicht über den Play Store gibt? Das verwundert mich.
Der Play Store selbst und die Play Dienste aktualisieren sich ja auch über den Play Store, obwohl man sie dort nicht manuell downloaden kann. :)
 
BOotnoOB

BOotnoOB

Lexikon
Zuletzt bearbeitet:
bl3d2death

bl3d2death

Experte
@BOotnoOB
Also die APK kann ebenfalls nicht installiert werden. Mit der Meldung stoppt die Installation dann.
Ich habe die Micro Gapps installiert. Und bis vor einer Woche lief Chrome ja auch ohne die Meldung. Kann aber nicht mehr sagen, ob sich Chrome in der Zeit tatsächlich aktualisiert hat.
 
BOotnoOB

BOotnoOB

Lexikon
@bl3d2death Hast du denn versucht, die App als Systemapp zu installieren? Es könnte ja sein, dass sie sich nicht als Benutzerapp installieren lässt vom System aus. Im Manifest selber ist zwar kein Eintrag darüber, aber die App enthält ja fürs System wichtige Libraries.
Beitrag automatisch zusammengefügt:

Hinweise zu den GApps - Android 10:
5.
Webview implementation changed again in Q - see this article. Because of this, now we additionally ship the TrichromeLibrary which has to match the versions of the Chrome and Webview apps. For now this is ARM and ARM64-only, but once we find an implementation for this for x86 and x86_64 packages, this will be added there as well.
(Quelle: github.com)

Die Version der Trichrome Library, von WebView und von Chrome muss wohl zusammenpassen. Sonst scheint es nicht zu funktionieren.
Beitrag automatisch zusammengefügt:

Diese Konstellation z.B.

Chrome v87.0.4280.101

WebView v87.0.4280.101

Trichrome Library v87.0.4280.101
 
Zuletzt bearbeitet:
bl3d2death

bl3d2death

Experte
Als Systemapp dann nur die Library, ja? Wie genau mache ich das richtig? Über system/app und dort in einem neuen Ordner die APK einfügen und ausführen?
 
BOotnoOB

BOotnoOB

Lexikon
@bl3d2death Die Option mit der Systemapp war nur eine Vermutung. Aber der verlinkte Hinweis oben ist eine zwingende Bedingung. Haben denn alle Apps bei dir dieselbe Versionsnr.?

Wenn ja und es klappt immer noch nicht, würde ich Trichrome in einen Ordner packen, über TWRP nach /system/app kopieren und die Berechtigungen anpassen.
Ordner -rwxr-xr-x (0755)
.apk -rw-r--r-- (0644)
Das kannst du im Dateiexplorer von TWRP über die Ordner-/Dateioptionen unten rechts in der Ecke machen.
 
bl3d2death

bl3d2death

Experte
Hab Chrome aktuell komplett deinstalliert. Kann natürlich auch nochmal Webview deinstallieren. Aber ich glaube nicht, dass ich dann plötzlich die Trichrome library installieren kann (Update: geht nicht, Fehler bleibt auch, wenn keine der 3 Apps installiert ist). Ohne jetzt genauer zu schauen denke ich, dass die WebView App schon älter ist, da sie ja ein Update laden möchte.
Das ist mir auch alles etwas viel mittlerweile :D Wie kann das denn bitte sein... Wofür mache ich mein Handy eigentlich komplett platt und installiere alles sauber neu, wenn ich jetzt wieder nur Ärger habe 😩

Edit: Wie wäre denn das Vorgehen, wenn ich mittels Datei Explorer die App als System App installieren würde? Hab den FX Explorer.
 
Zuletzt bearbeitet:
BOotnoOB

BOotnoOB

Lexikon
@bl3d2death Ich würde mir die drei .apks runterladen, die oben verlinkt sind. Die sind relativ aktuell, wenn nicht sogar die aktuellen. Sollte Trichrome nicht sofort installierbar sein, würde ich erst Chrome und WebView installieren, bzw. ggf. updaten. Danach, wenn beide Apps dieselbe Version haben, würde ich erneut versuchen, Trichrome zu installieren.

Wenn das nicht funktioniert, dann kannst du über FX die .apk von Trichrome als Systemapp installieren.

WebView und Chrome sind nur als Bundle (Split .apks) vorhanden, die nicht einfach nach /system/app kopiert werden können!

Hast du Magisk installiert? Dann solltest du den Pfad /sbin/.magisk/mirror/system_root/system/app nehmen. Danach neustarten und beten. :)
Beitrag automatisch zusammengefügt:

Du kannst auch die GApps (Stock) installieren. Aber dann muss /data gelöscht werden.
 
Zuletzt bearbeitet:
bl3d2death

bl3d2death

Experte
Sag mir mal wieso ich keine der Apps übers OS installieren kann? Da das Bundles sind, hab ich die APK Mirror app genommen. Die wirft jedes mal aber die Meldung aus, dass die Apps die shared library benötigen.
Bei Trichrome kommt die Meldung, dass es nicht in den spezifischen Installationsordner installiert werden konnte.

Magisk hab ich drauf.
Vllt nimmst du mich mal an die Hand und klärst mich auf, wie ich Trichrome über den FX Manager installiere? Das andere kann ich so auch nicht ganz nachvollziehen, da ich damit bislang nichts zu tun hatte. Sorry ^^
Beitrag automatisch zusammengefügt:

Wenn das so weiter geht, kann ich am Ende wirklich einfach alles nochmal platt machen. Dann hab ich zumindest ne saubere Grundlage ^^. Keine Ahnung was da mit den Apps wieder falsch gelaufen ist.
Beitrag automatisch zusammengefügt:

Habs jetzt doch hinbekommen, die Trichrome app über den Root installer zu installieren. War angeblich auch erfolgreich. Nur hat sich nichts geändert. die anderen Apps gehen dennoch nicht zu installieren.... Fehlermeldung bleibt auch gleich. Shared Librarys nicht vorhanden. 🤬😡
 
Zuletzt bearbeitet:
bl3d2death

bl3d2death

Experte
Noch eine Frage. Wie, außer mit der APK MIRROR App kann ich die .apkm Dateien denn öffnen? Ich brauche ja eine APK Datei die ich dann iwo installiere oder kopiere. Ich weiß echt nicht mehr weiter.
Beitrag automatisch zusammengefügt:

Screenshot_20201210-185351752.jpg
Das Einzige was ich unter Apps dazu finde.
 
Zuletzt bearbeitet:
BOotnoOB

BOotnoOB

Lexikon
@bl3d2death Ich hab mir jetzt mal ne Android 10 ROM (Pixel) geflasht. Hab ja A/B Partitionen und das geht schnell.
Die ROM gerootet, FX (nutze den auch) und APKMirror installiert. Dann Chrome, WebView und Trichrome restlos gelöscht. Die .apks (mithilfe der Links runtergeladen) von einem anderen Gerät rübergezogen und siehe da: Problemlos installiert! Erst Trichrome, danach Chrome und WebView.

bl3d2death schrieb:
Die wirft jedes mal aber die Meldung aus, dass die Apps die shared library benötigen.
Darum Trichrome zuerst installieren. Habe ich auch festgestellt, dass es nur so funktioniert.


bl3d2death schrieb:
Bei Trichrome kommt die Meldung, dass es nicht in den spezifischen Installationsordner installiert werden konnte.
Du hattest evtl. noch Daten der App in dem Zielverzeichnis.


bl3d2death schrieb:
Habs jetzt doch hinbekommen, die Trichrome app über den Root installer zu installieren.
FX hat über den Root-Installer bestimmt irgendwas erzwungen, was nicht hätte gemacht werden sollen.

bl3d2death schrieb:
Wie, außer mit der APK MIRROR App kann ich die .apkm Dateien denn öffnen?
Gar nicht. Es gibt verschiedene Bundles, z.B. noch .apkx. Aber .apkm hab ich nur mit der App geöffnet bekommen.
 
Zuletzt bearbeitet:
bl3d2death

bl3d2death

Experte
Die Frage ist ja, was trotz der Installation von Trichrome jetzt passiert sein soll. Im Systemordner bzw. bei den Apps ist das ganze nicht auffindbar, also com.google.android.trichrome...
Aber wenn ich es sonst nicht eingespielt bekomme, dann weiß ich auch nicht weiter. Da muss ja iwas im System an einer Stelle völlig daneben sein.
Die obige Anleitung hab ich ja so umgesetzt, keine APKs oder sonst mehr auffindbar von den Apps. Es fehlt aber halt immer die trichrome library. Ich glaub ich gebs jetzt dran und wipe einfach das komplette Gerät nochmal.
Und wenn ich die aktuelle Android 10 gapps micro flashe, dann sollte das ja zwangsweise dabei sein.
 
BOotnoOB

BOotnoOB

Lexikon
@bl3d2death Hast du auch unter /system/product/app nachgeschaut?
 
bl3d2death

bl3d2death

Experte
@BOotnoOB hab ich. Da war auch nichts drin, was darauf hingewiesen hätte.
 
BOotnoOB

BOotnoOB

Lexikon
@bl3d2death Ich habe aber auch gemerkt, dass der Playstore die Updates für die Trichrome Library automatisch installiert, sobald sich die anderen beiden Apps updaten. Also sollte es eigentlich auch reichen, wenn Chrome und WebView komplett gelöscht werden > Neustart > über Play Store beide installieren und die Library wird automatisch mit installiert.

Alle drei Apps stehen ab Android 10 in Abhängigkeit zueinander! Entweder erhalten alle drei Apps zur selben Zeit ein Update oder eben gar keine. Google muss und wird das hoffentlich noch "überarbeiten", denn das ist bei so einem modernen OS schon sehr laienhaft geregelt.
Beitrag automatisch zusammengefügt:

Bei diesem Blödsinn kann natürlich etwas Zeit vergehen, bis ein Update installiert wird. Manuell lässt es sich auch nicht starten. Somit wäre dein Problem aus Post #1 geklärt:
bl3d2death schrieb:
Seit etwa einer Woche lässt sich Chrome nicht mehr updaten.
 
Zuletzt bearbeitet:
Ähnliche Themen - Chrome Download/Aktualisierung nicht möglich / com.google.android.trichromelibrary Antworten Datum
27
3